html{
    scroll-behavior: smooth;
}
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Poppins;
}

body{
    margin: 0;
    padding: 0;
}
header{
    width: 100%;
    max-height: 736px;
    min-height: 630px;
    position: relative;
    background-image: url('imagens/Gemini_Generated_Image_sw1hxysw1hxysw1h.png'),
    linear-gradient(50deg, #0000007c, #002);
    background-size: contain;
    background-attachment: fixed;
    background-repeat: no-repeat;
    overflow: hidden;
    box-shadow: inset 0px -100px 50px rgba(0, 0, 0, 0.1),
                inset 0px 100px 50px rgba(0, 0, 0, 0.1); 
    box-shadow: 11px 10px 50px #2d3d46,

}
header::before{
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 1;
}
header > *{
    position: relative;
    z-index: 2;
}
#principal{
    width: 100%;
    max-height: 736px;
    min-height: 630px;
    display: flex;
    flex-flow: column wrap;
    justify-content: space-between;
    align-items: start;
}
#nav_pai{
    width: 98%;
    margin: 0 auto;
    border-bottom: 1px solid #7e413717;
    padding: 10px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}
#nav_filho{
    display: flex;
    flex-flow: row nowrap;
    justify-content: end;
    align-items: center;
    height: 48px;
}
#nav_pai #nav_filho #ul_nav_filho{
    display: flex;
    flex-flow: row nowrap;
    gap: 20px;
    margin: 0 20px;
    color: #fff;
}
#p_header{
    text-indent: 20px;
}
#nav_pai #nav_filho #ul_nav_filho li {
    padding: 4px 8px;
    cursor: pointer;
}
#adquirir{
    background-color: #ffcc02;
    color: #000;
    padding: 4px;
    border-radius: 4px;
    transition: transform .3s ease;
    text-decoration: none;
}
#adquirir:hover{
    transform: scale(1.07);
    text-decoration: none;
}
#nav_pai #nav_filho #ul_nav_filho li:hover{
    color: #fff;
    text-decoration: underline;
}
section#section_header{

    color: #fff;
    overflow: hidden;
    margin: 0 30px 90px 30px;
}
#section_header  #h1_section{
    font-size: 68px;
    font-weight: 200;
    overflow: hidden;
}
#section_header p {
    font-size: 20px;
}
main{
    z-index: 3;
    width: 100%;
    height: 100%;
    background-color: #958a8b31;
    box-shadow: inset 0px 100px 50px #2d3d46,

}
#main_filho{
    width: 80%;
    height: 100%;
    margin: 0 auto;
    text-align: justify;
    z-index: 4;
    display: flex;
    flex-direction: column;
    gap: 130px;
    justify-content: space-evenly;
    padding: 130px 0;
    box-shadow: inset 0px 100px 50px #2d3d46,

}
.sect{
    color: #000;
    width: 100%;
    position: relative;
    z-index: 5;
    display: flex;
    flex-direction: row;
    margin: 0;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.4);
    border-radius: 12px;
    padding: 10px;
    
}

#sect_3, #sect_2{
    animation: desli ease-in-out;
    animation-timeline: view();
    animation-range: 0% 50%;
}
#img_s1, #img_s2, #img_s3{
    width: 300px;
    margin: 5px;
    border-radius: 12px;
}
#text_3, #text_2{
    animation: aparecer;
    animation-range: 0% 60%;
    animation-timeline: view();
}
.text_s{
    text-align: justify;
    margin: 4px 12px;
    padding: 10px;
}

.text_s h2{
    font-size: 30px;
    margin: 5px 0 15px 0 ;
}
.text_s p {
    font-size: 20px;
}

#box_elements{
    width: 100%;
    height: 500px;
    display: flex;
    flex-flow: column nowrap;
    gap: 30px;
}
#box_elements h3{
    font-size: 25px;
    font-weight: 300;
    text-indent: 20px;
}
#elements{
    max-width: 1100px;
    display: flex;
    flex-flow: row wrap;
    justify-content: center;
    gap: 25px;
}
#menuBtn{
    display: none;
}
#logoImg{
    width: 150px;
    height: 100px;
}
.element{
    width: 250px;
    height: 180px;
    box-shadow: 0 0 8px rgba(0, 0, 0, 0.3);
    border-radius: 12px;
    margin: 4px;
    padding: 10px;
    text-align: center;
    display: flex;
    flex-direction: column;
    padding: 20px 0;
    justify-content: space-evenly;
    align-items: center;
    background-color: #ededed;
    transition: transform .3s ease;
}
.element:hover{
    transform: scale(1.1);
}
.imgs_element{
    width: 100px;
    border-radius: 20px;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.4);
}

.canto_direito, .canto_esquerdo, .meio{
    opacity: .8;
}
.canto_direito:hover, .canto_esquerdo:hover, .meio:hover{
    opacity: 1;
}
.canto_esquerdo{
    animation: esquer ease-in-out;
    animation-timeline: scroll();
    animation-range: cover 0% cover 44%;
    overflow-x: hidden;

}
.canto_direito{
    animation: direi ease-in-out;
    animation-timeline: scroll();
    animation-range: cover 0% cover 44%;
    overflow-x: hidden;
}
.meio{
    animation: subir ease-in-out;
    animation-timeline: scroll();
    animation-range: cover 0% cover 44%;
    overflow-x: hidden;
}

#section_compra{
    background-color: rgba(0, 0, 0, 0.3);
    height: 400px;
}
#section_compra h3{
    text-align: center;
    font-weight: 500;
    font-size: 35px;
    color: #000;
    margin-bottom: 20px;
}
#section_compra p{
    text-align: center;
    font-size: 20px;
    margin-bottom: 20px;
}

#section_compra_filho{
    width: 60%;
    padding: 30px;
    height: 100%;
    margin: auto;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
#comprarBtn{
    background-color: #ffcc02;

    border: none;
    width: 240px;
    height: 60px;
    color: #000;
    font-size: 20px;
    font-weight: 300;
    border-radius: 20px;
    padding: 13px;
    margin: 5px;
    text-align: center;
    transition: transform .3s ease;
    cursor: pointer;
}
#comprarBtn:hover{
    transform: scale(1.1);
    color: #fff;

}
#filho_menuBtn_close{
    display: none;
}

@keyframes desli {
    from{
        opacity: 0;
        translate: -40vw 0;
    
    }

    to{
        opacity: 1;
        translate: 0 0;

    }
}

@keyframes esquer {
    from{
        opacity: 0;
        translate: -10vw 0;
        
    }

    to{
        opacity: 1;
        translate: 0 0;

    }
}

@keyframes direi {
    from{
        opacity: 0;
        translate: 10vw 0;
        
    }

    to{
        opacity: 1;
        translate: 0 0;

    }
}


@keyframes subir {
    from{
        opacity: 0;
        translate: 0 100vw;
        
    }

    to{
        opacity: 1;
        translate: 0 0;

    }
}


@keyframes aparecer {
    from{
        opacity: 0;
        scale: 0;
        
    }

    to{
        opacity: 1;
        scale: 1;


    }
}

@media screen and (max-width: 1200px) {
    header{
        background-size: auto;
        background-position: top ;
    }
    #main_filho{
        width: 95%;
    }
    #img_s1, #img_s2, #img_s3{
        width: 250px;
        height: 250px;
        margin: auto 0;
        
    }
    section#section_header{
        color: #fff;
        overflow: hidden;
        margin: 0 30px 50px 30px;
    }
}

@media screen and (max-width: 570px){
    #section_header > #h1_section{
        font-size: 35px;
        margin-bottom: 10px;
    }
    #section_header #p_header{
        text-indent: 0;
    }

    header{
        width: 100%;
        height: 100vh;
        max-height: 100vh;
        min-height: 100vh;
        position: relative;
        background-image: url('imagens/guy_mobile.png'),
        linear-gradient(50deg, #0000007c, #002);
        background-size: cover;
        background-attachment: fixed;
        background-position: center center;
        background-repeat: no-repeat;
        overflow: hidden;
        box-shadow: inset 0px -100px 50px rgba(0, 0, 0, 0.1),
                    inset 0px 100px 50px rgba(0, 0, 0, 0.1); 
        box-shadow: 11px 10px 50px #2d3d46,

    }
    header::before{
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100vh;
        background-color: rgba(0, 0, 0, 0.5);
        z-index: 1;
    }
    header > *{
        position: relative;
        z-index: 2;
    }
    #principal{
        width: 100%;
        max-height: 100vh;
        min-height: 100vh;
        display: flex;
        flex-flow: column wrap;
        justify-content: center;
        align-items: start;
    }
    #nav_pai{
        width: 98%;
        margin: 0 auto;
        position: absolute;
        top: 2px;
        left: 2px;
        border-bottom: 1px solid #ffffff31;
        padding: 10px;
        display: flex;
        flex-flow: row nowrap;
        justify-content: space-between;
        align-items: center;
    }
    #nav_filho{
        display: none;
    }
    #ul_nav_filho{
        flex-direction: column;
    }
    #nav_pai #nav_filho #ul_nav_filho.expandido{
        display: flex;
        flex-flow: column nowrap;
        align-items: center;
        gap: 20px;
        margin: 0 20px;
        color: #fff;
    }
    #ul_nav_filho.expandido li {
        height: 40px;
    }
    #nav_filho.expandido{
        display: flex;
        
    }
    #nav_pai.expandido{
        height: 100%;
        width: 100%;
        background-color: #161816dc;
        display: flex;
        flex-direction: column-reverse;
        justify-content: center;
        align-items: center;
        overflow: hidden;
        animation: menuAbrir ease-in-out;
        animation-duration: .6s;
    }
    #nav_pai.fechando{
        animation: menuFechar ease-in-out;
        animation-duration: .6s;
    }
    .sect{
        flex-direction: column;
        background-color: #f9f9f9ab;
        align-items: center;
    }
    #elements{
        flex-direction: column;
        width: 100%;
        height: 100%;
        align-items: center;
        justify-content: center;
        gap: 20px;
    }
    .anim_esquer{
        animation: esquer ;
        animation-range: 0% 50%;
        animation-timeline: view();
    }
    .anim_direi{
        animation: direi ;
        animation-range: 0% 50%;
        animation-timeline: view();
    }
    #sect_1{
        animation: esquer;
        animation-range: 0% 50%;
        animation-timeline: view();
    }
    #box_elements{
        height: 1300px;
    }
    #section_compra_filho{
        width: 100%;
    }
    
    h3{
        text-align: center;
        text-indent: 0px;
        color: #fff;
    }
    h2{
        text-align: center;
    }
    #section_header{
        position: relative;
        top: 140px;
    }
    main{
        background-color: #151b1b;
    }
    #logoImg{
        width: 90px;
        height: 60px;
    }
    #menuBtn{
        display: block;
        height: 30px;
        background-color: transparent;
        border: none;
    }
    #menuBtn.menuAberto{
        position: absolute;
        top: 25px;
        right: 25px;
    }
    body.expandido{
        overflow: hidden;
    }

    @keyframes menuAbrir {
        from{
            opacity: 0;
            translate: 20vw -100vh;
        }
        to{
            opacity: 1;
            translate: 0 0;
        }
    }
    @keyframes menuFechar {
        from{
            opacity: 1;
            translate: 0 0;
        }
        to{
            opacity: 0;
            translate: 20vw -100vh;
        }
    }
    @keyframes esquer {
    from{
        opacity: 0;
        translate: -10vw 0;
        
    }

    to{
        opacity: 1;
        translate: 0 0;

    }
    }
    @keyframes direi {
    from{
        opacity: 0;
        translate: 10vw 0;
        
    }

    to{
        opacity: 1;
        translate: 0 0;

    }
    }
    #section_compra_filho h3{
        font-size: 24px;
    }

    #section_compra_filho p{
        font-size: 14px;

    }
    .sect p{
        text-align: justify;
    }
}
@media screen and (min-width:571px) and (max-width:870px ) {
    header{
        background-size: cover;
        background-position: top center;
    }
    #box_elements{
        height: 670px;
    }
}